Loading...
Searching...
No Matches
juce::ARAOutputStream Class Reference

## Detailed Description

Used to write persistent ARA archives - see doStoreObjectsToStream() for details.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARADocumentController.h

Inheritance diagram for juce::ARAOutputStream:

## Public Member Functions

| ARAOutputStream (ARA::PlugIn::HostArchiveWriter *)
int64 | getPosition () override
| Returns the stream's current position.
void | flush () override
| If the stream is using a buffer, this will ensure it gets written out to the destination.
bool | write (const void *, size_t) override
| Writes a block of data to the stream.
bool | setPosition (int64) override
| Tries to move the stream's output position.
Public Member Functions inherited from juce::OutputStream
virtual | ~OutputStream ()
| Destructor.
virtual bool | writeByte (char byte)
| Writes a single byte to the stream.
virtual bool | writeBool (bool boolValue)
| Writes a boolean to the stream as a single byte.
virtual bool | writeShort (short value)
| Writes a 16-bit integer to the stream in a little-endian byte order.
virtual bool | writeShortBigEndian (short value)
| Writes a 16-bit integer to the stream in a big-endian byte order.
virtual bool | writeInt (int value)
| Writes a 32-bit integer to the stream in a little-endian byte order.
virtual bool | writeIntBigEndian (int value)
| Writes a 32-bit integer to the stream in a big-endian byte order.
virtual bool | writeInt64 (int64 value)
| Writes a 64-bit integer to the stream in a little-endian byte order.
virtual bool | writeInt64BigEndian (int64 value)
| Writes a 64-bit integer to the stream in a big-endian byte order.
virtual bool | writeFloat (float value)
| Writes a 32-bit floating point value to the stream in a binary format.
virtual bool | writeFloatBigEndian (float value)
| Writes a 32-bit floating point value to the stream in a binary format.
virtual bool | writeDouble (double value)
| Writes a 64-bit floating point value to the stream in a binary format.
virtual bool | writeDoubleBigEndian (double value)
| Writes a 64-bit floating point value to the stream in a binary format.
virtual bool | writeRepeatedByte (uint8 byte, size_t numTimesToRepeat)
| Writes a byte to the output stream a given number of times.
virtual bool | writeCompressedInt (int value)
| Writes a condensed binary encoding of a 32-bit integer.
virtual bool | writeString (const String &text)
| Stores a string in the stream in a binary format.
virtual bool | writeText (const String &text, bool asUTF16, bool writeUTF16ByteOrderMark, const char *lineEndings)
| Writes a string of text to the stream.
virtual int64 | writeFromInputStream (InputStream &source, int64 maxNumBytesToWrite)
| Reads data from an input stream and writes it to this stream.
void | setNewLineString (const String &newLineString)
| Sets the string to write to the stream when a new line is written.
const String & | getNewLineString () const noexcept
| Returns the current new-line string that was set by setNewLineString().

## Additional Inherited Members

Protected Member Functions inherited from juce::OutputStream
| OutputStream ()

## Constructors and Destructors

## ARAOutputStream()

juce::ARAOutputStream::ARAOutputStream | ( | ARA::PlugIn::HostArchiveWriter * |  | ) |

explicit

## Member Functions

## getPosition()

int64 juce::ARAOutputStream::getPosition | ( |  | ) |

inline override virtual

Returns the stream's current position.

See also
  setPosition

Implements juce::OutputStream.

## flush()

void juce::ARAOutputStream::flush | ( |  | ) |

inline override virtual

If the stream is using a buffer, this will ensure it gets written out to the destination.

Implements juce::OutputStream.

## write()

bool juce::ARAOutputStream::write | ( | const void * | dataToWrite,
|  | size_t | numberOfBytes )

override virtual

Writes a block of data to the stream.

When creating a subclass of OutputStream, this is the only write method that needs to be overloaded - the base class has methods for writing other types of data which use this to do the work.

Parameters

  dataToWrite | the target buffer to receive the data. This must not be null.
  numberOfBytes | the number of bytes to write.

Returns
  false if the write operation fails for some reason

Implements juce::OutputStream.

## setPosition()

bool juce::ARAOutputStream::setPosition | ( | int64 | newPosition | ) |

override virtual

Tries to move the stream's output position.

Not all streams will be able to seek to a new position - this will return false if it fails to work.

See also
  getPosition

Implements juce::OutputStream.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited